'''
Created on Dec 17, 2014

@author: marten
'''

modules = {

    'we_core': {
        'type': 'js',
        'path': 'core-min.js'
    },

    'we_public_home': {
        'type': 'js',
        'path': 'public_home-min.js',
        'requires': ['we_core', 'iq_website', 'iq_container', 'iq_dialog', 'iq_registration_dialog', 'we_public_scss']
    },

    'we_public_scss': {
        'type': "scss",
        'path': "public_home-min.scss",
    },

    'weee_europe_theme_env' :{
        'type': "js",
        'path': "themes/weeee/theme_env-min.js",
        'requires': ["default_theme_env"]
    },

    'weee_europe_theme_default': {
        'type': 'css',
        'path': 'themes/weeee/main-min.css',
        'requires': ['skin-sam-layout', 'weee_europe_theme_env', 'weee_europe_theme_default_scss', 'standard_theme_scss', 'weee_europe_scss']  # skin-sam-layout comes from yui
    },

    'weee_europe_theme_default_scss': {
        'type': 'scss',
        'path': 'themes/weeee/main-min.scss',
        'requires': ['iq_core_scss']
    },

    'weee_europe_scss': {
        'type': 'scss',
        'path': 'themes/weeee/weeeeurope-min.scss',
        'requires': ['iq_iconbar_scss']
    },

    'we_company_form': {
        'type': 'js',
        'path': 'we_company_form-min.js',
        'requires': ['iq_company_form']
    },

    'we_address_form': {
        'type': 'js',
        'path': 'we_address_form-min.js',
        'requires': ['iq_address_form']
    },

    'we_person_form': {
        'type': 'js',
        'path': 'we_person_form-min.js',
        'requires': ['iq_person_form']
    },

    'we_bank_account_form': {
        'type': 'js',
        'path': 'we_bank_account_form-min.js',
        'requires': ['iq_bank_account_form']
    },

    'we_index_widget': {
        'type': 'js',
        'path': 'we_index_widget-min.js',
        'requires': ['we_core', 'iq_index_widget', 'we_index_widget_scss']
    },

    'we_index_widget_scss': {
        'type': 'scss',
        'path': 'we_index_widget-min.scss',
        'requires': []
    }
}
