'''
Created on Oct 10, 2014

@author: rado
'''

modules = {

    'we_member' : {
        'type': 'js',
        'path': 'member-min.js',
        'requires': ['we_core']
    },

    'we_member_manager': {
        'type': 'js',
        'path': 'member_manager-min.js',
        'requires': ['we_member', 'iq_manager', 'iq_custom_query']
    },

    'we_member_wizard': {
        'type': 'js',
        'path': 'member_wizard-min.js',
        'requires': ['we_member', 'we_member_lpp_form', 'iq_license_wizard', 'we_member_wizard_scss',
                     'we_company_form', 'we_person_form', 'we_bank_account_form', 'we_address_form']
    },

    'we_member_wizard_scss': {
        'type': 'scss',
        'path': 'member_wizard-min.scss'
    },

    'we_member_widget': {
        'type': 'js',
        'path': 'member_manager-min.js',
        'requires': ['we_member', 'iq_manager', 'iq_custom_query']
    },

    'we_member_details': {
        'type': 'js',
        'path': 'member_details-min.js',
        'requires': ['we_member', 'iq_master_data']
    },

    'we_member_lpp_form': {
        'type': 'js',
        'path': 'member_lpp_form-min.js',
        'requires': ['we_member', 'iq_form_manager']
    },

    'we_company_details': {
        'type': 'js',
        'path': 'company_details-min.js',
        'requires': ['we_member', 'iq_form_manager', 'iq_details_panel', "we_person_form", 'we_member_lpp_form',
                     "we_address_form", "we_company_form", "we_bank_account_form"]
    },

    'we_file_upload': {
        'type': 'js',
        'path': 'file_upload-min.js',
        'requires': ['uploader', 'iq_form_manager', 'iq_customdatatable', 'we_rule_definition']
    },

    'we_company_links_to_tbs': {
        'type': 'js',
        'path': 'company_links_to_tbs-min.js',
        'requires': ['we_member', 'iq_form_autocomplete2', 'we_company_links_to_tbs_scss', 'iq_datasource']
    },

    'we_company_links_to_tbs_scss': {
        'type': 'scss',
        'path': 'company_links_to_tbs-min.scss'
    },

    'we_lpp_master_data_manager': {
        'type': 'js',
        'path': 'member_lpp_master_data_manager-min.js',
        'requires': ['we_member', 'iq_cq_manager']
    },

    'we_lpp_master_data_widget': {
        'type': 'js',
        'path': 'member_lpp_master_data_manager-min.js',
        'requires': ['we_member', 'iq_cq_manager']
    }
}
