# Copyright (c) 2016 BaseSoft B.V.
# See LICENSE for details.
from we.order.controllers import WeDeclarationOrderController


class OrderHandler:

    def __init__(self, request, **kwargs):
        self.sa_session = request.Session()
        self.account_id = request.session['user_id']
        self.controller = WeDeclarationOrderController(self.sa_session, account_id=self.account_id, request=request)

    def load_order(self, _id):
        return self.controller.load_state(_id)


handlers = (OrderHandler,)
