# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.
import os

from basesoft.web.contrib.file.models import ImportFileType

def sync(session):
    """
    """
    # add import type for the background import file
    _types = ['we.product.HqppProduct', 'we.product.TbsPriceSheet', 'we.product.CN8ToWeeeCategory',
              'we.product.CN8ToTbsProductLevel']

    for t in _types:
        q = session.query(ImportFileType).filter(ImportFileType.name == t).first()
        if q is None:
            _type = ImportFileType()
            _type.name = t
            session.add(_type)
            session.flush()
