'''
Created on Jan 11, 2015

@author: rado
'''
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class WeUserAcceptanceTestingToolsWidget(DashboardWidgetStateController):
    """
    We User Acceptance Testing tools widget.
    """
    label = _('Testing tools')
    name = 'we_uat_tools_widget'
    icon = '16x16/apps/office-calendar.png'
    category = 'We Acceptance Testing'
    permissions = ['we_user_acceptance_testing']

widgets_mapper = OrderedDict([
    ('WeUserAcceptanceTestingToolsWidget', WeUserAcceptanceTestingToolsWidget)
])