# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.
from basesoft.util.ordered_dict import OrderedDict
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _


class WeDeclarationWidget(DashboardWidgetCQStateController):
    """
    Weee Declaration Overview Widget
    """
    label = _('Declaration overview')
    name = 'we_declaration_widget'
    category = _('Declarations')
    permissions = ['we_view_declaration']
    classname = 'palette_group__menu--manager'

widgets_mapper = OrderedDict([
    ('WeDeclarationWidget', WeDeclarationWidget),
])