# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.


modules = {

    'we_declaration': {
        'type': 'js',
        'path': 'declaration-min.js',
        'requires': ['we_core']
    },

    'we_declaration_manager': {
        'type': 'js',
        'path': 'we_declaration_manager-min.js',
        'requires': ['we_declaration', 'iq_cq_manager']
    },

    'we_declaration_details': {
        'type': 'js',
        'path': 'we_declaration_details-min.js',
        'requires': ['we_product', 'we_declaration', 'iq_details_panel', 'iq_datasource', 'autocomplete', 'we_declaration_details_scss']
    },

    'we_declaration_details_scss': {
        'type': 'scss',
        'path': 'we_declaration_details-min.scss',
        'requires': []
    },

    'we_declaration_widget': {
        'type': 'js',
        'path': 'we_declaration_manager-min.js',
        'requires': ['we_declaration', 'iq_cq_manager']
    },

    'we_declaration_import_wizard': {
        'type': 'js',
        'path': 'we_declaration_import_wizard-min.js',
        'requires': ['we_declaration', 'iq_form_manager', 'uploader', 'iq_wizard']
    },

    'we_declaration_missing_sku_panel_scss': {
        'type': 'scss',
        'path': 'we_declaration_missing_sku_panel-min.scss',
        'requires': []
    },

    'we_declaration_export': {
        'type': 'js',
        'path': 'we_declaration_export-min.js',
        'requires': ['we_declaration', 'iq_form_manager', 'uploader']
    },

    'we_declaration_missing_sku_panel': {
        'type': 'js',
        'path': 'we_declaration_missing_sku_panel-min.js',
        'requires': ['we_declaration', 'iq_form_manager', 'uploader', 'iq_wizard', 'we_declaration_missing_sku_panel_scss']
    },
}