'''
Created on Oct 10, 2014

@author: rado
'''

modules = {

    'we_product': {
        'type': 'js',
        'path': 'product-min.js',
        'requires': ['we_core', 'we_product_scss']
    },

    'we_product_scss': {
        'type': 'scss',
        'path': 'product-min.scss',
        'requires': ['iq_fancyselect_scss']
    },

    'we_cn8_weee_product_level_details': {
        'type': 'js',
        'path': 'we_cn8_weee_product_level_details-min.js',
        'requires': ['we_product', 'iq_details_panel']
    },

    'we_cn8_weee_product_level_manager': {
        'type': 'js',
        'path': 'we_cn8_weee_product_level_manager-min.js',
        'requires': ['we_product', 'iq_container', 'iq_custom_query', 'iq_manager']
    },

    'we_cn8_weee_product_level_widget': {
        'type': 'js',
        'path': 'we_cn8_weee_product_level_widget-min.js',
        'requires': ['we_product', 'we_cn8_weee_product_level_manager']
    },

    'we_cn8_code_panel': {
        'type': 'js',
        'path': 'we_cn8_code_panel-min.js',
        'requires': ['we_product', 'iq_details_panel']
    },

    'we_cn8_codes_upload': {
        'type': 'js',
        'path': 'we_cn8_codes_upload-min.js',
        'requires': ['we_product', 'uploader', 'iq_form_manager']
    },

    'we_weee_product_level_manager': {
        'type': 'js',
        'path': 'we_weee_product_level_manager-min.js',
        'requires': ['we_product', 'weee_product_level_manager']
    },

    'we_tbs_price_sheet_manager': {
        'type': 'js',
        'path': 'we_tbs_price_sheet_manager-min.js',
        'requires': ['we_product', 'iq_cq_manager']
    },

    'we_tbs_product_level_details': {
        'type': 'js',
        'path': 'we_tbs_product_level_details-min.js',
        'requires': ['we_product', 'iq_details_panel']
    },

    'we_tbs_price_sheet_widget': {
        'type': 'js',
        'path': 'we_tbs_price_sheet_widget-min.js',
        'requires': ['we_product', 'we_tbs_price_sheet_manager']
    },

    'we_tbs_price_sheet_import_new': {
        'type': 'js',
        'path': 'we_tbs_price_sheet_import_new-min.js',
        'requires': ['we_product', 'uploader', 'iq_form_manager', 'we_tbs_price_sheet_import_new_scss']
    },

    'we_tbs_price_sheet_import_new_scss': {
        'type': 'scss',
        'path': 'we_tbs_price_sheet_import_new-min.scss'
    },

    'we_tbs_price_sheet_import_update': {
        'type': 'js',
        'path': 'we_tbs_price_sheet_import_update-min.js',
        'requires': ['we_product', 'uploader', 'iq_form_manager', 'we_tbs_price_sheet_import_update_scss']
    },

    'we_tbs_price_sheet_import_update_scss': {
        'type': 'scss',
        'path': 'we_tbs_price_sheet_import_update-min.scss'
    },

    'we_cn8_tbs_product_level_manager': {
        'type': 'js',
        'path': 'we_cn8_tbs_product_level_manager-min.js',
        'requires': ['we_product', 'iq_cq_manager']
    },

    'we_cn8_tbs_product_level_widget': {
        'type': 'js',
        'path': 'we_cn8_tbs_product_level_widget-min.js',
        'requires': ['we_product', 'we_cn8_tbs_product_level_manager']
    },

    'we_cn8_tbs_product_level_import': {
        'type': 'js',
        'path': 'we_cn8_tbs_product_level_import-min.js',
        'requires': ['we_product', 'uploader', 'iq_form_manager', 'we_cn8_tbs_product_level_import_scss']
    },

    'we_cn8_tbs_product_level_import_scss': {
        'type': 'scss',
        'path': 'we_cn8_tbs_product_level_import-min.scss'
    },

    'we_hqpp_product_details': {
        'type': 'js',
        'path': 'we_hqpp_product_details-min.js',
        'requires': ['we_product', 'iq_details_panel', 'iq_form_manager', 'iq_fancyselect', 'we_hqpp_product_details_scss']
    },

    'we_hqpp_product_manager': {
        'type': 'js',
        'path': 'we_hqpp_product_manager-min.js',
        'requires': ['we_product', 'iq_cq_manager']
    },

    'we_hqpp_product_fee_overview': {
        'type': 'js',
        'path': 'we_hqpp_product_fee_overview-min.js',
        'requires': ['we_product', 'iq_cq_manager']
    },

    'we_hqpp_product_fee_overview_widget': {
        'type': 'js',
        'path': 'we_hqpp_product_fee_overview_widget-min.js',
        'requires': ['we_product', 'iq_cq_manager', 'we_hqpp_product_fee_overview']
    },

    'we_hqpp_product_widget': {
        'type': 'js',
        'path': 'we_hqpp_product_widget-min.js',
        'requires': ['we_product', 'we_hqpp_product_manager']
    },

    'we_hqpp_product_details_scss': {
        'type': 'scss',
        'path': 'we_hqpp_product_details-min.scss'
    },

    'we_hqpp_product_sheet_import': {
        'type': 'js',
        'path': 'we_hqpp_product_sheet_import-min.js',
        'requires': ['we_product', 'uploader', 'iq_form_manager', 'we_hqpp_product_sheet_import_scss']
    },

    'we_hqpp_product_sheet_import_scss': {
        'type': 'scss',
        'path': 'we_hqpp_product_sheet_import-min.scss'
    },

    'we_hqpp_product_sheet_export': {
        'type': 'js',
        'path': 'we_hqpp_product_sheet_export-min.js',
        'requires': ['we_product', 'uploader', 'iq_form_manager']
    },

    'we_product_file_import_manager': {
        'type': 'js',
        'path': 'we_file_import_status-min.js',
        'requires': ['we_product', 'iq_file_import_manager']
    },

    'we_tbs_regulation_period_details': {
        'type': 'js',
        'path': 'we_tbs_regulation_period_details-min.js',
        'requires': ['we_product', 'iq_details_panel', 'iq_fancyselect']
    },

    'we_tbs_regulation_period_compare': {
        'type': 'js',
        'path': 'we_tbs_regulation_period_details-min.js',
        'requires': ['we_tbs_regulation_period_details']
    },

    'we_hqpp_new_regulation_period_wizard' : {
        'type': 'js',
        'path': 'we_hqpp_new_regulation_period_wizard-min.js',
        'requires': ['we_product', 'iq_form_manager', 'iq_wizard', 'we_hqpp_new_regulation_period_wizard_scss']
    },

    'we_hqpp_new_regulation_period_wizard_scss' : {
        'type': 'scss',
        'path': 'we_hqpp_new_regulation_period_wizard-min.scss'
    },

}
