# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

from we.settings.buildbot import *
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities

DB_CONNSTR = 'mysql://buildbot:buildbot@testorix.dev.ams:3306/buildbot_we_eu_ie?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://buildbot_ro:buildbot@testorix.dev.ams:3306/buildbot_we_eu_ie?charset=utf8'

BUILDBOT_INSTANCE = 'we-eu-ie'
BUILDBOT_BASE = '/var/lib/buildbot/slaves/we-eu-slave1/builder_ie'
BUILDBOT_DJANGO_PORT = 8010
BUILDBOT_SCHEDULER_PORT = 8049

for k,v in setup_buildbot(vars().copy()).iteritems():
    vars()[k] = v

SELENIUM_PYTHONPATH = '/var/lib/buildbot/slaves/we-eu-slave1/builder_ie/weee-eu:' + SELENIUM_PYTHONPATH

# disable iqube
IQUBE_SERVLET = None
